%define version 4.0
%define release 9mdk
%define prefix /usr

Summary: The GNU versions of common file management utilities.
Name: fileutils
Version: %{version}
Release: %{release}
Copyright: GPL
Group: File tools
Source0: ftp://prep.ai.mit.edu/pub/gnu/fileutils-%{version}p.tar.bz2
Source1: DIR_COLORS
Source2: color_ls.sh
Source3: color_ls.csh
Source4: fileutils-3.16-pofiles.tar.bz2
Patch1: fileutils-4.0-spacedir.patch.bz2
Patch3: fileutils-4.0m-dest.patch.bz2
Patch4: fileutils-4.0-samefile.patch.bz2
Patch5: fileutils-4.0-C.patch.bz2
Patch6: fileutils-4.0m-nodoors.patch.bz2
Patch7: fileutils-4.0p-strip.patch.bz2
Patch8: fileutils-install-specialbits.patch.bz2
Patch9: fileutils-cp-x.patch.bz2
Patch10: fileutils-4.0p-overwrite.patch.bz2
Patch11: fileutils-ls-dumbterm.patch.bz2
Buildroot: %{_tmppath}/fileutils-root
Prereq: /sbin/install-info

%description
The fileutils package includes a number of GNU versions of common and
popular file management utilities.  Fileutils includes the following
tools: chgrp (changes a file's group ownership), chown (changes a
file's ownership), chmod (changes a file's permissions), cp (copies
files), dd (copies and converts files), df (shows a filesystem's disk
usage), dir (gives a brief directory listing), dircolors (the setup
program for the color version of the ls command), du (shows disk
usage), install (copies files and sets permissions), ln (creates file
links), ls (lists directory contents), mkdir (creates directories),
mkfifo (creates FIFOs or named pipes), mknod (creates special files),
mv (renames files), rm (removes/deletes files), rmdir (removes empty
directories), sync (synchronizes memory and disk), touch (changes file
timestamps), and vdir (provides long directory listings).

You should install the fileutils package, because it includes many
file management utilities that you'll use frequently.

%prep
%setup -n %{name}-4.0p -q 
%patch1 -p1
%patch3 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
# %patch9 -p1
%patch10 -p1
%patch11 -p1

%build
rm -rf $RPM_BUILD_ROOT
%ifos linux
%configure --exec-prefix=/
%else
%configure
%endif

make

%install
rm -rf $RPM_BUILD_ROOT

%ifos linux
make prefix=${RPM_BUILD_ROOT}%{_prefix} exec_prefix=${RPM_BUILD_ROOT}/ install
%else
make prefix=${RPM_BUILD_ROOT}%{_prefix} \
    localedir=${RPM_BUILD_ROOT}%{_prefix}/share/locale \
        install
%endif

( cd $RPM_BUILD_ROOT

  mkdir -p .%{_prefix}/bin
  for i in dir dircolors du install mkfifo vdir shred
  do
    mv -f ./bin/$i .%{_prefix}/bin/$i
  done

  mkdir -p ./etc/profile.d/
  install -m644 %{SOURCE1} ./etc
  install -m755 %{SOURCE2} ./etc/profile.d/
  install -m755 %{SOURCE3} ./etc/profile.d/

)

# install languages by hand
for i in $RPM_SOURCE_DIR/%{name}-*pofiles.tar.bz2 ; do
        tar Ixkvf $i || :
done
for i in po/*.po ; do
  mkdir -p $RPM_BUILD_ROOT/%{prefix}/share/locale/`basename $i .po`/LC_MESSAGES
  msgfmt -v -o $RPM_BUILD_ROOT/%{prefix}/share/locale/`basename $i .po`/LC_MESSAGES/%{name}.mo $i ||:
done

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info /usr/info/fileutils.info.bz2 /usr/info/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/fileutils.info.bz2 /usr/info/dir
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog NEWS README THANKS TODO
%config /etc/DIR_COLORS
%config /etc/profile.d/color_ls.sh
%config /etc/profile.d/color_ls.csh

/bin/chgrp
/bin/chown
/bin/chmod
/bin/cp
/bin/dd
/bin/df
/bin/ln
/bin/ls
/bin/mkdir
/bin/mknod
/bin/mv
/bin/rm
/bin/rmdir
/bin/sync
/bin/touch

%{prefix}/bin/dir
%{prefix}/bin/dircolors
%{prefix}/bin/du
%{prefix}/bin/install
%{prefix}/bin/mkfifo
%{prefix}/bin/shred
%{prefix}/bin/vdir

%{prefix}/man/man1/chgrp.1*
%{prefix}/man/man1/chown.1*
%{prefix}/man/man1/chmod.1*
%{prefix}/man/man1/cp.1*
%{prefix}/man/man1/dd.1*
%{prefix}/man/man1/df.1*
%{prefix}/man/man1/dir.1*
%{prefix}/man/man1/dircolors.1*
%{prefix}/man/man1/du.1*
%{prefix}/man/man1/install.1*
%{prefix}/man/man1/ln.1*
%{prefix}/man/man1/ls.1*
%{prefix}/man/man1/mkdir.1*
%{prefix}/man/man1/mkfifo.1*
%{prefix}/man/man1/mknod.1*
%{prefix}/man/man1/mv.1*
%{prefix}/man/man1/rm.1*
%{prefix}/man/man1/rmdir.1*
%{prefix}/man/man1/shred.1*
%{prefix}/man/man1/sync.1*
%{prefix}/man/man1/touch.1*
%{prefix}/man/man1/vdir.1*

/usr/info/fileutils*

%changelog
* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.0-9mdk
- Fix color_ls.sh.

* Wed Mar 29 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.0-8mdk
- Merge with rh patchs.
- Clean up specs.
- Upgrade groups.

* Sun Feb 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.0-7mdk
- Add --sh to dircolors.sh (Ariel Faigon <ariel@yendor.com>).

* Thu Feb 17 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.0-6mdk
- Use %find-lang for locales files.
- Merge with redhat patches.

* Fri Jan 21 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Catalan catalog file (po/ca.po)

* Wed Dec 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix output of mkdir --verbose -p (bero).
- Add -C for compatibilty with BSD (bero).

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 4.0.
- Merge with redhat changes.

* Sun Aug 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Don't put colors on a Emacs term.

* Sun Jul 18 1999 Bernhard Rosenkraenzer <bero@aachen.linux.de>
- 4.0i
- colorize xterm-color and color-xterm

* Tue Nov 24 1998 Bernhard Rosenkraenzer <bero@aachen.linux.de>
- Modify DIR_COLORS to recognize bzip, bzip2, tzip and rpm archives and
  .jpeg, .tif, .tiff, .png graphics.
- Colorize ansi and rxvt terminals
- bzip2 man/info pages
